	require 'IceCreamTruckRefrigerator'

	IceCreamTruckRefrigerator = {}
	IceCreamTruckRefrigerator.Create = {}
	IceCreamTruckRefrigerator.Init = {}
	IceCreamTruckRefrigerator.Update = {}

--***********************************************************
--**                                                       **
--**                    Fridge n Freezer                   **
--**                                                       **
--***********************************************************
function IceCreamTruckRefrigerator.Create.Damn(vehicle, part)
	if getActivatedMods():contains("IceCreamTruck") then
		local invItem = VehicleUtils.createPartInventoryItem(part);
		if part:getInventoryItem() and part:getItemContainer() then
			part:getItemContainer():setType("fridge")
		end
	end
end

function IceCreamTruckRefrigerator.Init.Damn(vehicle, part)
	if getActivatedMods():contains("IceCreamTruck") then
		if not part:getModData().IceCreamTruck then part:getModData().IceCreamTruck = {} end
		if part:getInventoryItem() and part:getItemContainer() then
			if vehicle:getBatteryCharge() > 0.00010 then
				part:getItemContainer():setCustomTemperature(0.2)
			else        
				part:getItemContainer():setCustomTemperature(1.0)
			end
		end
		vehicle:transmitPartModData(part)
	end
end

function IceCreamTruckRefrigerator.Update.Damn(vehicle, part, elapsedMinutes)
	if getActivatedMods():contains("IceCreamTruck") then
		local currentTemp = part:getItemContainer():getTemprature()
		local minTemp = 0.2
		local maxTemp = 1.0
		if part:getInventoryItem() and part:getItemContainer() then
			if part:getModData().IceCreamTruck and vehicle:getBatteryCharge() > 0.00010 then
				if currentTemp < minTemp then
					part:getItemContainer():setCustomTemperature(minTemp)
				elseif currentTemp > minTemp then
					part:getItemContainer():setCustomTemperature(currentTemp - (0.04 * elapsedMinutes))
				end
				--VehicleUtils.chargeBattery(vehicle, FridgeBatteryChange * elapsedMinutes)
			else
				if currentTemp < maxTemp then
					part:getItemContainer():setCustomTemperature(currentTemp + (0.04 * elapsedMinutes))
				elseif currentTemp >= maxTemp then
					part:getItemContainer():setCustomTemperature(maxTemp)
				end
			end
		end
	end
end